gr::gsm::trx_burst_if_impl Class Reference

`#include <trx_burst_if_impl.h>`

Inheritance diagram for gr::gsm::trx_burst_if_impl:

## Public Member Functions

| trx_burst_if_impl (const std::string &bind_addr, const std::string &remote_addr, int base_port)
| ~trx_burst_if_impl ()
void | handle_dl_burst (pmt::pmt_t msg)
void | handle_ul_burst (uint8_t *payload, size_t len)

## Additional Inherited Members

Public Types inherited from gr::gsm::trx_burst_if
typedef std::shared_ptr< trx_burst_if > | sptr
Static Public Member Functions inherited from gr::gsm::trx_burst_if
static sptr | make (const std::string &bind_addr, const std::string &remote_addr, const std::string &base_port)
| Return a shared_ptr to a new instance of grgsm::trx_burst_if.

## Constructor & Destructor Documentation

## trx_burst_if_impl()

gr::gsm::trx_burst_if_impl::trx_burst_if_impl | ( | const std::string & | bind_addr,
|  | const std::string & | remote_addr,
|  | int | base_port )

## ~trx_burst_if_impl()

gr::gsm::trx_burst_if_impl::~trx_burst_if_impl | ( |  | ) |

## Member Function Documentation

## handle_dl_burst()

void gr::gsm::trx_burst_if_impl::handle_dl_burst | ( | pmt::pmt_t | msg | ) |

## handle_ul_burst()

void gr::gsm::trx_burst_if_impl::handle_ul_burst | ( | uint8_t * | payload,
|  | size_t | len )

The documentation for this class was generated from the following file:

- trx_burst_if_impl.h